﻿Module WinApi

Public Enum Modifiers As Integer
  Alt = 1
  Control = 2
  Shift = 4
  Win = 8
End Enum

Public Enum WinMsgs As Integer
  WmHotkey = &H312
  EmGetsel = &HB0
  EmSetsel = &HB1
End Enum

Public Structure PointApi
  Public X As Integer
  Public Y As Integer
End Structure

Public Declare Function RegisterHotKey Lib "user32" (ByVal hwnd As IntPtr, ByVal id As Integer, ByVal fsModifiers As Integer, ByVal vk As Integer) As Integer
Public Declare Function UnregisterHotKey Lib "user32" (ByVal hwnd As IntPtr, ByVal id As Integer) As Integer

Public Declare Function GetForegroundWindow Lib "user32" Alias "GetForegroundWindow" () As IntPtr
Public Declare Function SetForegroundWindow Lib "user32" Alias "SetForegroundWindow" (ByVal hwnd As IntPtr) As IntPtr
Public Declare Function GetFocus Lib "user32" Alias "GetFocus" () As IntPtr

Public Declare Function GetCaretPos Lib "user32" Alias "GetCaretPos" (ByRef lpPoint As POINTAPI) As Integer
Public Declare Function ClientToScreen Lib "user32" Alias "ClientToScreen" (ByVal hwnd As IntPtr, ByRef lpPoint As POINTAPI) As Integer

Public Declare Function GetWindowThreadProcessId Lib "user32" Alias "GetWindowThreadProcessId" (ByVal hwnd As IntPtr, ByRef lpdwProcessId As IntPtr) As Integer
Public Declare Function GetCurrentThreadId Lib "kernel32" Alias "GetCurrentThreadId" () As IntPtr
Public Declare Function AttachThreadInput Lib "user32" Alias "AttachThreadInput" (ByVal idAttach As IntPtr, ByVal idAttachTo As IntPtr, ByVal fAttach As Integer) As Integer

Public Declare Unicode Function SendMessageVV Lib "user32" Alias "SendMessageW" (ByVal hwnd As IntPtr, ByVal wMsg As Integer, ByVal wParam As IntPtr, ByVal lParam As IntPtr) As Integer
Public Declare Unicode Function SendMessageRR Lib "user32" Alias "SendMessageW" (ByVal hwnd As IntPtr, ByVal wMsg As Integer, ByRef wParam As Integer, ByRef lParam As Integer) As Integer

End Module
